 MODULE commar

   !!======================================================================
   !!                   ***  MODULE commar  ***
   !!
   !!======================================================================
   !! * Modules used
   USE parameters

   !! * Shared or public module variables
   INTEGER,DIMENSION(nmarmax)                  :: nu
   INTEGER,DIMENSION(30,8)                     :: nomd
   REAL(kind=rsh),DIMENSION(nmarmax,imin:imax) :: a0nord,a0sud,ph0nord,ph0sud
   REAL(kind=rsh),DIMENSION(nmarmax,jmin:jmax) :: ph0ouest,a0ouest,ph0est,a0est
   REAL(kind=rsh),DIMENSION(30,8)              :: fr1,fr2
   REAL(kind=rsh),DIMENSION(30,8,jmin:jmax)    :: rouest,gouest,rest,gest
   REAL(kind=rsh),DIMENSION(30,8,imin:imax)    :: rsud,gsud,rnord,gnord
   REAL(kind=rsh),DIMENSION(130,imin:imax)     :: hnnord,hnsud
   REAL(kind=rsh),DIMENSION(130,jmin:jmax)     :: hnouest,hnest

   CHARACTER(len=100),DIMENSION(144) :: nommar
   LOGICAL,DIMENSION(144)            :: l_presence
   INTEGER,DIMENSION(144)            :: doodson
   REAL(kind=rsh),DIMENSION(144)     :: omega
   REAL(kind=rlg),DIMENSION(144)     :: frequence,equitide
   INTEGER :: inivm,isa,issa,imsm,imm,imsf,imf,imfm,i2q1,isigma1,iq1,irho1,io1
   INTEGER :: ims1,imp1,ia19,im1,ikhi1,ipi1,i2ns2,i3m2s2,ioq2mnk2,i33,imns2
   INTEGER :: ip1,is1,ik1,ipsi1,iphi1,itheta1,ij1,iso1,ioo1,ikq1,i2mn2s2
   INTEGER :: imnus2,i2mk2,i2n22nm2,imu2ms2,i39,in2,inu2,iop2msk2
   INTEGER :: i43,imsk2,im2,imks2,imks22,ilambda2,i2mk3,im3,iso3,ims3,imk3,ia87
   INTEGER :: il22mn2,inkm2,it2,is2,ir22,ik2,imsn2,ikj2mkn2,i2sm2,iskm2,imq3
   INTEGER :: isp3,is3,isk3,ik3,i2nms4,i2mmus4,i2mns4,i2mnus4,i3mk4,in4
   INTEGER :: i3ms4,imn4,imnu4,i2msk4,im4,i2msn4,i2mkn4,is4,isk4,i3mnk6
   INTEGER :: i2mks4,isn4,i3mn4ml4,ink4,i2smk4,imt4,ims4,imk4,i2snm4
   INTEGER :: i3mns6,i3mnus6,i4mk6,i2nm6,i4ms6,i2mn6,i2mnu6,i3msk6,im6
   INTEGER :: i3mks6,imsn6,i4mn2ml6,imnk6,i2mt6,i3mnu8,i2msk8,im8,i4mks8
   INTEGER :: i2ms6,i2mk6,i2sn6,i3msn6,i3mkn6,i2sm6,imsk6,i2mns8,i2mn8,i3mn8
   INTEGER :: i2msn8,i3ml8,i2mnk8,i3ms8,i3mk8,i2smn8,i4msn8,imsnk8,i4mnk8,i2ms8
   INTEGER :: i4mn10,im10,i3msn10,i4ms10,i4mk10,i5msn10,i2msnk10,i3m2s10
   INTEGER :: i2msk82,i5mns10,i3m2n10

 END MODULE commar
